AtCoreWidgets
ClosedPublic

Authored by rizzitello on Mar 28 2018, 10:27 PM.

Details

Summary

Split widgets into a libary for others to use.
Deploy libAtCoreWidgets with related headers.

Diff Detail

Repository
R232 AtCore
Branch
widgetLib
Lint
No Linters Available
Unit
No Unit Test Coverage
rizzitello requested review of this revision.Mar 28 2018, 10:27 PM
rizzitello created this revision.
rizzitello edited the summary of this revision. (Show Details)Mar 28 2018, 10:28 PM
rizzitello added a project: Atelier: AtCore.
rizzitello added a subscriber: Atelier: AtCore.
rizzitello updated this revision to Diff 30893.Mar 30 2018, 1:50 AM
  • install mostly right
  • NOT INSTALLING AtCoreWidget headers
  • test client still broken
cgiboudeaux added inline comments.
src/widgets/CMakeLists.txt
2

Not needed

72

missing ${ATCOREWIDGETS_HEADERS}

cgiboudeaux added inline comments.Apr 6 2018, 1:42 PM
src/widgets/CMakeLists.txt
36

remove the SHARED keyword

rizzitello marked 3 inline comments as done.Apr 6 2018, 2:03 PM
rizzitello updated this revision to Diff 31492.Apr 6 2018, 2:04 PM
  • cgiboudeaux' suggestions
rizzitello updated this revision to Diff 31493.Apr 6 2018, 2:20 PM
  • forgot to remove the ..include
rizzitello updated this revision to Diff 31496.Apr 6 2018, 2:47 PM
  • now building correctly
rizzitello edited the summary of this revision. (Show Details)Apr 6 2018, 2:47 PM
tcanabrava accepted this revision.Apr 6 2018, 2:49 PM
This revision is now accepted and ready to land.Apr 6 2018, 2:49 PM
laysrodrigues accepted this revision.Apr 6 2018, 4:14 PM
rizzitello closed this revision.Apr 6 2018, 4:16 PM